# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetResultSetMetadata_args

Packages that use TCLIService.GetResultSetMetadata_args
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TCLIService.GetResultSetMetadata_args in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TCLIService.GetResultSetMetadata_args in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncProcessor.GetResultSetMetadata<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.Processor.GetResultSetMetadata<I extends TCLIService.Iface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TCLIService.GetResultSetMetadata_args
Modifier and Type
Class
Description
`static class`
`TCLIService.GetResultSetMetadata_args`
`static class`
`TCLIService.GetResultSetMetadata_args`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TCLIService.GetResultSetMetadata_args
Modifier and Type
Method
Description
`TCLIService.GetResultSetMetadata_args`
TCLIService.GetResultSetMetadata_args.`deepCopy()`
`TCLIService.GetResultSetMetadata_args`
TCLIService.AsyncProcessor.GetResultSetMetadata.`getEmptyArgsInstance()`
`TCLIService.GetResultSetMetadata_args`
TCLIService.Processor.GetResultSetMetadata.`getEmptyArgsInstance()`
`TCLIService.GetResultSetMetadata_args`
TCLIService.GetResultSetMetadata_args.`setReq(TGetResultSetMetadataReq req)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCLIService.GetResultSetMetadata_args
Modifier and Type
Method
Description
`int`
TCLIService.GetResultSetMetadata_args.`compareTo(TCLIService.GetResultSetMetadata_args other)`
`boolean`
TCLIService.GetResultSetMetadata_args.`equals(TCLIService.GetResultSetMetadata_args that)`
`TCLIService.GetResultSetMetadata_result`
TCLIService.Processor.GetResultSetMetadata.`getResult(I iface, TCLIService.GetResultSetMetadata_args args)`
`void`
TCLIService.AsyncProcessor.GetResultSetMetadata.`start(I iface, TCLIService.GetResultSetMetadata_args args, org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCLIService.GetResultSetMetadata_args
Modifier
Constructor
Description
``
`GetResultSetMetadata_args(TCLIService.GetResultSetMetadata_args other)`
Performs a deep copy on other.